[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

RGBGradientMagnitudeFunctor< ValueType > Class Template Reference

`#include <vigra/combineimages.hxx>`

## Public Types

typedef RGBValue< ValueType > | first_argument_type
typedef NumericTraits< ValueType >::RealPromote | result_type
typedef RGBValue< ValueType > | second_argument_type
typedef ValueType | value_type

## Public Member Functions

result_type | operator() (first_argument_type const &gx, second_argument_type const &gy) const

## Detailed Description

template<class ValueType>
class vigra::RGBGradientMagnitudeFunctor< ValueType >

Calculate the gradient magnitude from RGB arguments. Can be used in conjunction with gradientBasedTransform().

Traits defined:

`FunctorTraits::isBinaryFunctor` are true (`VigraTrueType`)

## Member Typedef Documentation

## ◆ first_argument_type

template<class ValueType >

typedef RGBValue<ValueType> first_argument_type

the functor's first argument type

## ◆ second_argument_type

template<class ValueType >

typedef RGBValue<ValueType> second_argument_type

the functor's second argument type

## ◆ result_type

template<class ValueType >

typedef NumericTraits<ValueType>::RealPromote result_type

the functor's result type

## ◆ value_type

template<class ValueType >

typedef ValueType value_type

Deprecated:
  use first_argument_type, second_argument_type, result_type

## Member Function Documentation

## ◆ operator()()

template<class ValueType >

result_type operator() | ( | first_argument_type const & | gx,
|  | second_argument_type const & | gy
| ) |  | const

Calculate the gradient magnitude form given RGB components. The function returns

where is defined by `gx.red()*gx.red() + gy.red()*gy.red()`.

`ValueType` (the RGB's component type) must support addition, multiplication, abd `sqrt()`.

The documentation for this class was generated from the following file:

- vigra/combineimages.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.1